%if 0%{?rhel} == 6
%define cmake_pkg cmake28
%else
%define cmake_pkg cmake
%endif

Name:    liblxqt-mount
Summary: Mount utility library for LXQt Desktop Suite
Version: 0.8.0
Release: 3%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: http://lxqt.org/downloads/lxqt/0.8.0/%{name}-%{version}.tar.xz
Patch0:  liblxqt-mount-0.8.0-cmake.patch

BuildRequires:  %{cmake_pkg} >= 2.8.9
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Help)

%description
%{summary}.

%package devel
Summary:  Devel files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup

%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{?cmake28}%{!?cmake28:%{?cmake}} -DUSE_QT5=TRUE ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/liblxqtmount-qt5.so.0*

%files devel
%{_includedir}/lxqtmount-qt5
%{_libdir}/cmake/lxqtmount-qt5
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblxqtmount-qt5.so


%changelog
* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Update to review in https://bugzilla.redhat.com/show_bug.cgi?id=1158625

* Wed Oct 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Minor changes to push to review

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base
